#include <bits/stdc++.h>
using namespace std;

int t;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin>> t;
    for(int i=0;i<t;i++){
        long long x1,y1,x2,y2,a,b,x,y;
        cin>> x1 >> y1 >> x2 >> y2 >> a >> b;
        x=abs(x1-x2);
        y=abs(y1-y2);
        if(x<=a) x=a-x+1;
        else x=0;
        if(y<=b) y=b-y+1;
        else y=0;
        cout<< x*y << endl;
    }





    return 0;
}